[blfs-dev] KDE4 builds

Bruce Dubbs bruce.dubbs at gmail.com
Fri Jul 6 09:06:54 PDT 2012


Ragnar Thomsen wrote:
> On Fri, Jul 6, 2012 at 5:32 AM, Bruce Dubbs <bruce.dubbs at gmail.com> wrote:
>> When I started KDE, I couldn't get any keyboard input and the mouse was
>> not working right.  With a little research I found that cmake did not
>> find libXi properly in kde-workspace.  That's because libXi is in /opt.
>>    Adding LIBRARY_PATH=/opt/xorg/lib fixed it up so far.  At least cmake
>> didn't complain.
>
> I install Xorg in /usr/X11 so I haven't experienced this issue. Maybe
> a note should be added.
>
>> I also noted that a couple of the kde modules look for PyQt and PyKDE
>> and they are not currently mentioned.
>
> Yes, you're right, they should be mentioned as an optional dep. for at
> least kde-workspace
> and kdeplasma-addons. I have been thinking about adding the python
> bindings to the book.
>
>> I'm sure there will be several more issues.  At least I can get konsole
>> to run in twm.  However it gives a message " QDBusConnection: session
>> D-Bus connection created before QCoreApplication. Application may
>> misbehave."
>>
>> That's a pretty ugly message.  It looks like there's a patch:
>>
>> https://git.reviewboard.kde.org/r/103699/diff/2/
>
> This is a warning that has been present for a long time. But it is
> just that, a warning.
> If you check out your .xsession-errors file, it will contain alot of
> them. The warning
> message is fixed in Kde 5. Considering the warning message is normally not
> visible to the user, I don't think we need to add this patch to the book.

I don't appear to have a ~/.xsession* file.

In any case, I still had the input problem when I started up the kde 
window manager.  I did make some errors earlier and I may just remove 
/opt/kde4 completely and start over.  That's one advantage with a 
separate kde directory.

In the meantime, I am going to try xfce.  That's a lot shorter build.

>> but if kde-4.8.4 is due out next month, it is probably fixed there.
>
> Kde-4.8.4 is already out, I just haven't got around to updating the
> book. The warning
> message is not fixed in this release. Kde-4.9 will be out 1st of August.

OK.  Thanks.  Do you know of any changes for kde-4.8.4 that would affect 
the 4.8.3 build instructions in the book?  If not, it would be easy for 
me to test that out.

   -- Bruce






More information about the blfs-dev mailing list